/*** colors ***/
:root {
  --m-color: #126464;
  --o-color: #f9a825;
  --w-color: #fff;
  --b-color: #BBE1E4;
  --r-color: #9A2426;
  --p-color: #032F2F;
  --a-color: #0A6F6F;
  --ta-color: #001313;
  --ba-color: #0A6F6FBA;
  --bao-color: #F4C35DCC;
}

/*** fonts ***/
@font-face {
  font-family: 'Tajawal';
  src: url('../fonts/Tajawal-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Tajawal';
  src: url('../fonts/Tajawal-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

/* Reset CSS */
html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  transition: 0.3s ease-in-out all;
}

a {
  text-decoration: none !important;
}

ul {
  list-style: none;
  margin-bottom: 0 !important;
}

/* General Styling */
body {
  font-family: 'Tajawal', sans-serif !important;
  direction: rtl;
  /* Set text direction to RTL for Arabic */
}

/*--- HOME PAGE ---*/

/*=============== H-E-A-D-E-R ====================*/

header {
  background-color: var(--w-color);
  padding: 30px 20px;
  border-bottom: 1px solid #eee;
  box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
}

.container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* Logo */
.logo a {
  font-weight: 700;
  font-size: 30px;
  color: var(--m-color);
}

.logo img {
  height: 40px;
}

/* Navigation Menu */
.nav-menu ul {
  display: flex;
  list-style-type: none;
  gap: 30px;
}

.nav-menu a {
  text-decoration: none;
  color: #005a59;
  font-size: 18px;
  font-weight: 500;
  position: relative;
}

.nav-menu a:hover,
.nav-menu a.active {
  color: #005a59;
  font-weight: 700;
}

.nav-menu a.active::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 100%;
  height: 2px;
  background-color: var(--o-color);
  /* Yellow underline */
}

/* Upload Button */
.login-btn ,
.upload-btn {
  display: inline-flex;
  align-items: center;
  background-color: transparent;
  border: 2px solid var(--o-color);
  color: #005a59;
  padding: 8px 16px;
  border-radius: 50px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
  /* Removes underline from links */
}

.upload-btn img {
  margin-inline: 8px;
}

.login-btn:hover ,
.upload-btn:hover {
  background-color: var(--o-color);
  color: white;
}

.upload-btn:hover img {
  filter: brightness(0) invert(1);
}

.login-btn svg {
  margin-left: 8px;
}

.login-btn:hover svg {
  stroke: white;
}

/*=============== W-E-L-C-O-M-E ====================*/

.welcome {
  background: url(../images/home/section1.svg) no-repeat center center;
  height: 45rem;
  margin: 22px auto;
  color: var(--w-color);
  font-size: 26px;
  border-radius: 44px;
  background-size: cover;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.welcome h2 {
  font-size: 40px;
  font-weight: 700;
  line-height: 60.4px;
}

.welcome p {
  font-size: 23px;
}

/* Upload Button */
.welcome .search-btn {
  display: inline-flex;
  align-items: center;
  background-color: var(--w-color);
  color: #0A6F6F;
  border-radius: 50px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 500;
  padding-right: 18px;
}

.welcome .search-btn img {
  background: #f8f8f8;
  box-shadow: 29px 0px 61.2px 12px #0D707026;
  margin-right: 16px;
  border-radius: 50px 0 0 50px;
  border-right: 2px #fff solid;
  width: 45px;
  padding: 10px 8px 10px 11px;
}

.welcome .search-btn:hover {
  background-color: var(--o-color);
  color: #f9a825;
  border: 1px solid #fff;
}

.welcome .search-btn:hover img {
  filter: brightness(0) invert(1);
  background: transparent;
  transform: translateX(59px);
  border: 0;
  box-shadow: none;
}

/* Search */

.search-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 62rem;
  position: relative;
}

.search-box {
  background-color: white;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  padding: 10px;
  display: flex;
  align-items: center;
  width: 70%;
  margin-bottom: 15rem;
}

.search-box select {
  color: #01161675;
  margin-right: 10px;
}

.search-box select,
.search-box input[type="text"] {
  border: none;
  padding: 8px;
  margin-right: 1rem;
  font-size: 23px;
}

.search-box input[type="text"] {
  width: 33%;
  border-radius: 0;
  border-left: 2px solid #ddd;
}

.search-box button {
  background-color: #f9b233;
  border: none;
  padding: 8px 16px;
  border-radius: 5px;
  color: white;
  font-size: 29px;
  cursor: pointer;
  margin-right: auto;
}

.search-box button:hover {
  background-color: #e69a12;
}

/* Background icon styles */
.icon-background {
  position: absolute;
  width: 11%;
}

.icon-left {
  top: 10%;
  left: 0%;
}

.icon-right {
  top: 0;
  right: 0%;
}

.icon-bottom-left {
  bottom: 0%;
  left: 15%;
}


/* Placeholder text color */
::placeholder {
  color: #888;
}

/* Input focus styles */
.search-box input[type="text"]:focus {
  outline: none;
}

.search-box img {
  width: 32px;
  height: 32px;
}

/*===============            Register                ====================*/


.moi-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.moi-title {
  font-weight: bold;
  font-size: 38px;
  margin: 6rem 0rem;
  margin-bottom: 10rem;
}

.moi-form {
  position: relative;
  z-index: 1;
  width: 100%;
  padding: 15rem;
  padding-top: 7rem;
  padding-bottom: 16rem;
}

.moi-form::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('../images/paeg-background.svg');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 0.9;
  border-radius: 15px;
}

.moi-form .form-group {
  margin-bottom: 20px;
}

.moi-form label {
  display: block;
  margin-bottom: 8px;
  font-size: 18px;
  text-align: right;
}

.moi-form label span,
.frm-cmnt label span {
  color: red;
}

.moi-form input[type="text"],
.moi-form input[type="email"],
.moi-form input[type="password"],
.moi-form input[type="tel"],
.moi-form input[type="date"],
.frm-cmnt input,
.frm-cmnt textarea {
  width: 100%;
  padding: 15px;
  font-size: 16px;
  border: 1px solid #0A6F6F38;
  border-radius: 8px;
  outline: none;
  transition: border-color 0.3s ease;
  box-shadow: 0px 3px 12px 0px #00000014;
  background: #F2F3F38C;
}

.moi-form input[type="text"]:focus,
.moi-form input[type="email"]:focus,
.moi-form input[type="password"]:focus,
.moi-form input[type="tel"]:focus {
  border-color: #80cbc4;
}

.moi-form .checkbox-group {
  display: flex;
  align-items: center;
}

.moi-form .checkbox-group > * {
  margin: 0;

}

.moi-form .checkbox-group label {
  margin-right: 1rem;
}

.moi-form .checkbox-group input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  border: 2px solid #126464;
  border-radius: 4px;
  position: relative;
  outline: none;
  cursor: pointer;
  transition: background-color 0.3s ease, border-color 0.3s ease;
}


.moi-form .checkbox-group input[type="checkbox"]:checked {
  background-color: #126464;
  border-color: #126464;
  position: relative;
}


.moi-form .checkbox-group input[type="checkbox"]:checked::after {
  content: '✓';
  color: white;
  font-size: 14px;
  position: absolute;
  left: 3px;
  top: -1px;
}

.moi-form .checkbox-group input[type="checkbox"]:checked::after {
  content: '✔';
  color: white;
  font-weight: bold;
}


.action-btn button {
  padding: 10px 3rem;
  font-size: 23px;
  border-radius: 25px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  background: transparent;
  border: 2px solid #F4C35D;
  color: var(--m-color);
  font-weight: bold;
  padding-right: 4rem;
}

.action-btn button img {
  height: 16px;
  margin-right: 4rem;
  margin-left: -1rem;
}

.action-btn button:hover {
  color: var(--o-color);
  background: var(--o-color);
}

.action-btn button:hover img {
  filter: brightness(0) invert(1);
  margin-right: -3rem;
  margin-left: 4rem;
}

/*========================== Login ===============================*/
.login .form-group {
  margin-bottom: 6rem;
}

.login .twice {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
}

.login .twice .checkbox-group {
  margin-bottom: 0;
}

.login .twice a {
  font-weight: bold;
  font-size: 15px;
  color: var(--m-color);
}

.login .twice label {
  font-size: 15px;
}

/*======================= Forget Password ====================*/
.forget-password h3 {
  font-weight: bold;
}

.forget-password .send-again,
.forget-password .both-btns {
  display: flex;
  align-items: center;
  justify-content: center;
}

.forget-password .send-again p {
  margin: 0;
}

.forget-password .send-again a {
  margin-inline: 1rem;
  font-weight: bold;
  color: var(--m-color);
}

.forget-password .send-again a:hover {
  opacity: 0.7;
}

.forget-password #back {
  font-size: 20px;
  font-weight: bold;
  color: var(--r-color);
  border: 2px solid var(--r-color);
  border-radius: 25px;
  padding: 1rem 2rem;
  margin-right: 2rem;
}

.forget-password #back:hover {
  padding-inline: 2.5rem;
  background: var(--r-color);
  color: var(--w-color);
}

.forget-password .both-btns .action-btn {
  margin: 0;
}


/* OTP input styles */
.otp-container {
  direction: ltr;
  display: flex;
  justify-content: center;
  margin-top: 4rem;
}

.otp-input {
  width: 60px !important;
  height: 60px !important;
  text-align: center;
  font-size: 18px;
  margin: 0 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
  outline: none;
  transition: border-color 0.3s;
}

.otp-input:focus {
  border-color: #007bff;
}

#verificationCode {
  width: 74%;
  margin-top: 0px;
  padding: 10px;
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 4px;
  outline: none;
  transition: border-color 0.3s;
  visibility: hidden;
}

.forget-password .form-group.send-again {
  margin-bottom: 4rem;
}


/*======================= Reset Password ====================*/

.reset-password .moi-form {
  padding: 17rem;
  padding-bottom: 18rem;
  padding-top: 7rem;
}

.reset-password .moi-form form .form-group {
  margin-bottom: 6rem;
}

.reset-password .form-group.action-btn {
  margin-top: 8rem;
}

/*======================= Reset Done ====================*/
.reset-done .moi-form > * {
  margin-bottom: 4rem;
}

/*================================ footer ==========================================*/

footer {
  background-color: #f4a72100;
  padding: 40px 0;
  color: #fff;
  margin-top: 10rem;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  max-width: 1200px;
  margin: 0 auto;
}

.footer-info {
  display: flex;
  flex-direction: column;
  width: 30%;
}

.footer-info p {
  color: #fff;
  line-height: 1.5;
  margin-bottom: 20px;
  font-size: 23px;
}

.footer-info a {
  color: #fff;
  text-decoration: none;
}

.footer-info a img {
  height: 32px;
  width: 32px;
  filter: brightness(0) invert(1);
}

.footer-info a:hover {
  text-decoration: underline;
}

.footer-info i {
  margin-right: 10px;
}

.footer-links h2 {
  margin-right: 0;
  margin-bottom: 20px;
}

.footer-links ul {
  display: grid;
  grid-template-columns: repeat(2, auto);
  column-gap: 40px;
  row-gap: 20px;
  padding: 0;
  list-style: none;
}

.footer-links ul {
  list-style: none;
  padding: 0;
}

.footer-links ul li {
  margin-bottom: 10px;
}

.footer-links ul li a {
  color: #fff;
  line-height: 1.5;
  margin-bottom: 20px;
  font-size: 23px;
}

.subscribe-form {
  background-image: url('../images/footer-frame.svg');
  background-repeat: no-repeat;
  background-size: cover;
  padding: 20px;
  width: 300px;
  min-height: 250px;
  text-align: center;
}

.subscribe-form h3 {
  color: var(--m-color);
  font-size: 20px;
  text-align: center;
  font-weight: bold;
  margin: 4rem auto;
  border-bottom: 1px solid var(--b-color);
  padding-bottom: 1rem;
  width: 96%;
}

.subscribe-form input {
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
  border: 1px solid #ddd;
  border-radius: 5px;
}

.subscribe-btn {
  width: 80%;
  padding: 10px 20px;
  background-color: transparent;
  border: 2px solid var(--o-color);
  color: var(--m-color);
  font-size: 18px;
  border-radius: 25px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin-bottom: 25px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.subscribe-btn img.arrow-left {
  position: absolute;
  left: 10px;
  background-color: #fff;
  padding: 5px;
  border-radius: 50%;
  height: 20px;
  width: 20px;
}

.subscribe-btn:hover {
  background-color: var(--o-color);
  color: #fff;
}

.subscribe-btn:hover img.arrow-left {
  background-color: var(--m-color);
}

.btn-center {
  display: flex;
  justify-content: center;
}

.footer-moen,
.footer-news {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.footer-moen img {
  filter: brightness(0) invert(1);
  width: 82px;
  height: 82px;
}

footer h2 {
  font-weight: bold;
  font-size: 35px;
  margin-right: 2rem;
}

.footer-news h3 {
  font-weight: bold;
  margin-left: 15px;
}

.footer-news hr {
  height: 26px;
  border-left: 2px solid;
  margin-inline: 2rem;
}

.footer-news > a {
  margin-right: 1rem;

}

.input-container {
  position: relative;
  margin-bottom: 20px;
}

.input-container img {
  position: absolute;
  top: 35%;
  right: 0px;
  transform: translateY(-50%);
}

.input-container input {
  border-radius: 0;
  width: 100%;
  padding: 10px 30px 10px 10px;
  border: none;
  border-bottom: 2px solid var(--b-color);
  outline: none;
  font-size: 16px;
  color: #555;
  transition: border-color 0.3s ease, color 0.3s ease;
}

.input-container input::placeholder {
  color: var(--b-color);
}

.input-container input:focus {
  border-bottom: 2px solid var(--m-color);
  color: var(--m-color);
}

/*================= Categories ============================*/
.moi-card {
  position: relative;
  display: inline-block;
}

.card {
  position: relative;
  border-radius: 60px;
  box-shadow: 0px 4px 12px 0px #0000002E;
  margin: 20px;
  overflow: hidden;
  background: url('../images/category/topic.jpg');
  width: 290px;
  height: 250px;
  z-index: 1;
}

.moi-card:after {
  content: '';
  position: absolute;
  bottom: 47px;
  left: 10px;
  width: 290px;
  height: 250px;
  border-radius: 60px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 0;
  border: 5px solid var(--bao-color);
}

.card .info {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: space-evenly;
  padding: 26px 15px;
  color: white;
  border-radius: 0 0 15px 15px;
  backdrop-filter: blur(1px);
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 7.9%, rgba(0, 0, 0, 0.3185) 39.07%, rgba(0, 0, 0, 0.441) 100%);
  height: 30%;
  direction: ltr;
}

.card .info img {
  width: 35px;
  height: 35px;
  vertical-align: middle;
  margin-right: 6px;
}

.card .info span {
  display: flex;
  align-items: center;
  font-weight: bold;
  font-size: 26px;
}

.moi-card .section-title {
  margin: 0;
  font-size: 28px;
  font-weight: bold;
  color: #333;
  text-align: center;
  display: block;
  margin-top: 10px;
}

.moi-card .section-title:hover {
  opacity: 0.7;
}


.moi-card a:hover .card .info {
  background: linear-gradient(180deg, rgb(0 0 0 / 0%) 7.9%, rgb(0 0 0 / 53%) 39.07%, rgb(0 0 0 / 64%) 100%);
  height: 50%;
}

.adjust-cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

/*=============== Add Association ==============*/
.add-association .moi-form-title,
.moi-form-title {
  font-weight: bold;
  font-size: 28px;
  margin: -10rem;
  margin-bottom: 6rem;
}

.add-association label span {
  margin-inline-start: 7px;
}

.add-association .moi-form::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('../images/forms-background.svg');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 0.9;
}

.add-association .moi-form {
  padding: 13rem;
}

.add-association .form-row {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.add-association .form-row .form-group {
  width: 48%;
}


/*=============== Upload Files ==============*/

.tab {
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 5rem;
  margin-top: -10rem;
}

.tab button {
  background-color: transparent;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 5px 2rem;
  transition: 0.3s;
  font-size: 17px;
}

.tab button:hover {
  opacity: 0.7;
}

.tab button.active {
  font-weight: bold;
  font-size: 18px;
  border: 2px solid var(--o-color);
  padding: 5px 2rem;
  border-radius: 25px;
}

.tabcontent {
  display: none;
}

.custom-select select {
  width: 100%;
  padding: 15px;
  border-radius: 8px;
  border: 1px solid #0A6F6F38;
  appearance: none;
  background-color: #F2F3F38C;
  background-image: url('data:image/svg+xml;charset=UTF-8,%3Csvg xmlns%3D%22http%3A//www.w3.org/2000/svg%22 viewBox%3D%220 0 24 24%22 fill%3D%22%23000700%22%3E%3Cpath d%3D%22M7 10l5 5 5-5H7z%22/%3E%3C/svg%3E');
  background-repeat: no-repeat;
  background-position: calc(10px) center;
  background-size: 16px;
  font-size: 14px;
  color: #333;
  box-shadow: 0px 3px 12px 0px #00000014;
  transition: border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

/* Focus state */
.custom-select select:focus {
  border-color: #007bff;
  box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.25);
  outline: none;
}


/* ============= Contact ==================*/
.contact-footer {
  margin-top: 4rem;
  text-align: right;
}

.contact-footer #line {
  width: 100%;
  height: 2px;
  background: #0A6F6F59;
  margin: 2rem auto;
}

.contact-footer p {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 2rem;
}

.contact-footer ul {
  display: flex;
  align-items: center;
}

.contact-footer ul li {
  margin: 5px;
}

.contact-footer ul li img {
  width: 25px;
  height: 25px;
}

.contact-footer ul li a:hover {
  opacity: 0.7;
}

/*============== Category =================*/
.info-box {
  padding: 4rem 2rem;
  position: relative;
  overflow: hidden;
}

.info-box::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('../images/cat-bag.svg');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 0.9;
  border-radius: 15px;
}

.info-header {
  flex-direction: row-reverse;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2rem;
  margin-top: 5rem;
}

.copy-icon {
  width: 20px;
  height: 20px;
}

.stars span {
  color: #FFB400;
  font-size: 23px;
}

.info-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #0A6F6F30;
  padding-bottom: 1rem;
}

.info-content p {
  font-size: 13px;
  color: #001313D1;
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.description {
  color: #000;
  line-height: 1.5;
  text-align: right;
  font-size: 17px;
  font-weight: bold;
}

/*=========== Subscribe =============*/
.subscribe .moi-form-title {
  margin: 0px;
  margin-bottom: 6rem;
}

.subscribe form {
  padding: 2rem;
}

.subscribe .form-group.action-btn {
  margin-top: 6rem;
}

/*=============== File Page =================*/
.file-page .container {
  align-items: flex-start;
}

.file-info {
  background: url(../images/file-page/file-page-info.svg);
  padding: 27px;
  width: 31%;
  background-repeat: no-repeat;
  background-size: cover;
}

.file-info .beside #heart:hover {
  opacity: 0.6;
}

.file-info h2 {
  margin-bottom: 15px;
  font-size: 24px;
  font-weight: bold;
}

.file-info .beside {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.file-info ul {
  list-style-type: none;
  margin-bottom: 15px;
}

.file-info ul li {
  margin-bottom: 10px;
  font-size: 0.9rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #00000038;
  padding-bottom: 1rem;
}

.file-info ul li img {
  margin-left: 5px;
}

.file-info ul li strong {
  font-size: 14px;
}

.file-info ul li p {
  font-size: 14px;
  margin: 0;
  text-align: right;
}

.reg-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #00000038;
  padding-bottom: 3rem;
  margin: 2rem 0rem;
}

.reg-btn .register-btn {
  background-color: transparent;
  color: var(--m-color);
  padding: 7px 26px;
  border: 1px solid var(--m-color);
  border-radius: 25px;
  cursor: pointer;
  display: flex;
  align-items: center;
  font-size: 18px;
}

.reg-btn .register-btn img {
  margin-right: 1rem;
  margin-left: -10px;
}

.register-btn:hover {
  background-color: var(--m-color);
}

.register-btn:hover img {
  margin-right: -3rem;
  margin-left: 14px;
  filter: brightness(0) invert(1);
}

.reg-btn p {
  text-align: right;
  margin-right: 2rem;
  margin-left: 2rem;
  padding-left: 0rem;
}

.file-link .beside,
.share-icons .beside {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 2rem;
}

.file-link .beside p,
.share-icons .beside p {
  margin: 0;
  margin-right: 1rem;
  font-size: 18px;
  font-weight: bold;
}

.file-link {
  margin-top: 15px;
  border-bottom: 1px solid #00000038;
  padding-bottom: 3rem;
}

.file-link a {
  color: var(--m-color);
  border: 2px solid var(--o-color);
  padding: 11px 17px;
  border-radius: 25px;
  font-size: 16px;
}

.file-link a img {
  margin-right: 1rem;
  width: 20px;
  height: 20px;
}

.file-link a:hover {
  background: var(--o-color);
  border: 2px solid var(--o-color);
  color: transparent;
}

.file-link a:hover img {
  margin-right: -7rem;
  margin-left: 7rem;
}

.share-icons {
  margin-top: 20px;
  margin-bottom: 1rem;
  padding-bottom: 2rem;
  border-bottom: 1px solid #00000038;
}

.share-icons a {
  border-left: 1px solid #0A6F6F;
  padding-inline: 1rem;
}

.share-icons a:last-child {
  border-left: 0;
}

.share-icons a img {
  height: 26px;
  width: 26px;
}

.share-icons a:hover {
  opacity: 0.7;
}

.report-btn {
  background-color: #fff;
  color: var(--r-color);
  padding: 11px 29px;
  border-radius: 25px;
  cursor: pointer;
  margin-top: 15px;
  border: 2px solid var(--r-color);
}

.report-btn img {
  margin-right: 2rem;
  margin-left: -1rem;
}

.report-btn:hover {
  background-color: var(--r-color);
}

.report-btn:hover img {
  filter: brightness(0) invert(1);
  margin-right: -3rem;
  margin-left: 6rem;
}

/*---   file-details   ---*/
.file-details {
  padding: 20px;
  width: 65%;
  text-align: right;
}

.file-details h1 {
  font-size: 30px;
  margin-bottom: 10px;
  color: var(--m-color);
  line-height: 40px;
}

.file-details .date-rating {
  display: flex;
  justify-content: space-between;
  font-size: 15px;
  border-bottom: 1px solid var(--b-color);
  margin: 2rem auto;
  padding-bottom: 1rem;
}

.file-summary {
  border-bottom: 1px solid var(--b-color);
}

.file-details h3 {
  font-size: 23px;
  margin-bottom: 10px;
}

.file-details p {
  font-size: 16px;
}

.moi-flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 2rem auto;
}

.moi-flex p span {
  font-weight: bold;
  margin-inline: 7px;
}

.moi-flex p {
  margin-bottom: 0;
}

.rating-section {
  margin-top: 20px;
  border-bottom: 1px solid var(--b-color);
  padding-bottom: 1rem;
}

.rating-stars span {
  font-size: 1.5rem;
  color: #FFD700;
}

.comment-section {
  margin-top: 30px;
}

.comment-section h3 {
  font-weight: bold;
}

.comment-section form {
  display: flex;
  flex-direction: column;
}

.frm-cmnt label {
  margin-top: 10px;
  margin-bottom: 8px;
  font-size: 15px;
}

.frm-cmnt input {
  padding: 10px;
  margin-top: 5px;
  width: 95%;
}

.frm-cmnt button {
  background-color: var(--m-color);
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 25px;
  cursor: pointer;
  margin-top: 15px;
  width: 100px;
  margin-bottom: 2rem;
}

.frm-cmnt button:hover {
  opacity: 0.7;
}

.frm-cmnt textarea {
  height: 17px;
  min-height: 86px;
  max-height: 200px;
  min-width: 95%;
  max-width: 95%;
  padding: 10px;
  margin-top: 5px;
}

.comment-section form {
  display: flex;
  flex-direction: column;
  background: url(../images/comment-background.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  padding: 5rem;
}

.file-details .url-link a:hover {
  color: #000;
  opacity: 0.7;
}

.file-details .url-link a:last-child {
  color: #000;
}

.file-details .url-link a {
  color: grey;
}

/*=========== Profile ==============*/
.profile-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.profile-header h4 {
  font-weight: bold;
  font-size: 20px;
  color: var(--p-color);
}

.profile-header a {
  font-size: 18px;
  font-weight: bold;
  color: var(--m-color);
}

.profile-header a img {
  margin-left: 7px;
}

.profile-header a:hover {
  opacity: 0.7;
}

.profile-header a:hover img {
  margin-left: 10px;
}

.input-section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  margin: 2rem auto;
  width: 100%;
}

.input-data {
  color: var(--p-color);
  font-size: 18px;
  padding: 3rem 2rem;
  /* background: url(../images/profile/input-background.svg); */
  background-repeat: no-repeat;
  background-size: contain;
  font-weight: bold;
  text-align: start;
  background-position: 100% 100%;
}

.input-data {
  border: 2px solid #0A6F6F6B;
  box-shadow: 0px 4px 12px 0px #0000002E;
  border-radius: 69px 34px 34px 34px !important;
  margin-left: 30px;
  margin-bottom: 20px;
}

.input-data span {
  margin-inline-start: 2rem;
}

.profile hr {
  background: #0000002B;
  width: 100%;
  height: 2px;
}

.input-data img {
  height: 30px;
  width: 30px;
  float: left;
  margin-left: 15rem;
}

.input-data a:hover {
  opacity: 0.7;
}

/*============ associations ================*/
.associations .dropdown {
  display: inline-block;
  position: relative;
  font-size: 16px;
}

.associations select {
  padding: 10px;
  cursor: pointer;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  border: 1px solid #0A6F6F38;
  box-shadow: 0px 3px 12px 0px #00000014;
  border-radius: 8px;
  text-align: right;
  font-size: 16px;
  line-height: 28px;
  padding-left: 3rem;
}

.associations select:focus {
  outline: none;
}

.associations .dropdown:after {
  content: '\25BC';
  position: absolute;
  left: 14px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  font-size: 9px;
  color: var(--m-color);
}

.right-title {
  display: flex;
  width: 100%;
  margin: 2rem;
}

.asso-title {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin: 1rem auto;
}

.asso-title img {
  height: 95px;
  width: 95px;
  border-radius: 50%;
  margin-inline-end: 1rem;
}

.asso-title h2 {
  font-size: 36px;
  margin: 0;
}

.asso-item > p {
  font-size: 24px;
  color: var(--m-color);
  text-align: right;
  margin-top: 2rem;
}

.asso-fields {
  display: grid;
  align-items: center;
  grid-template-columns: repeat(5, 1fr);
  margin-bottom: 2rem;;
}

.asso-fields span {
  border: 1px solid #0A6F6F38;
  box-shadow: 0px 1px 1px 0px #00000003;
  border-radius: 8px;
  padding: 3px;
  margin: 3px;
}

.asso-item a {
  font-weight: bold;
  color: var(--a-color);
  border-bottom: 1px solid;
  padding-bottom: 7px;
  font-size: 16px;
}

.asso-item a:hover {
  opacity: 0.7;
  padding-inline: 7px;
}

.all-items {
  padding: 1rem;
}

.all-items .asso-item {
  padding: 1rem 4rem;
  background: url('../images/asso-background.svg') no-repeat;
  background-size: contain;
  background-position: center;
  position: relative;
  display: inline-block;
}

.asso-item:after {
  content: '';
  position: absolute;
  bottom: 0px;
  right: 0;
  width: 53rem;
  height: 28rem;
  border-radius: 60px;
  z-index: -1;
  border: 5px solid var(--bao-color);
  background: transparent;
}

.asso-item:nth-child(even):after {
  border: 6px solid var(--ba-color)
}

.all-items {
  display: grid;
  align-items: center;
  grid-template-columns: repeat(2, 1fr);
  margin-bottom: 2rem;
  gap: 20px;
}

/*============== About ================*/
.goal-idea > * {
  width: 45%;
}

.goal-idea .goal {
  float: right;
  background: url('../images/about/about-right.svg') no-repeat;
  background-size: contain;
  padding: 4rem 11rem;
  background-position: center;
  background-size: 71%;
  margin-top: -3rem;
  position: relative;
}

.goal-idea h3 {
  font-weight: bold;
  font-size: 25px;
  color: var(--ta-color);

}

.goal-idea p {
  line-height: 40.8px;
  font-size: 18px;
  color: var(--ta-color);
}

.goal-idea .idea {
  float: left;
  background: url('../images/about/about-left.svg') no-repeat;
  background-size: contain;
  padding: 2rem 9rem;
  background-position: center;
  background-size: 80%;
  margin-top: 3rem;
  position: relative;
}

.goal-idea .idea:after {
  content: '';
  position: absolute;
  top: 16px;
  left: 44px;
  width: 77%;
  height: 98%;
  border-radius: 50px;
  z-index: -1;
  border: 5px solid var(--ba-color);
  background: transparent;
}

.goal-idea .goal:after {
  content: '';
  position: absolute;
  bottom: -10px;
  right: 60px;
  width: 70%;
  height: 98%;
  border-radius: 50px;
  z-index: -1;
  border: 5px solid var(--bao-color);
  background: transparent;
}

.goal-idea .goal::before {
  content: '';
  position: absolute;
  top: -33px;
  right: 49px;
  width: 120px;
  height: 120px;
  z-index: 1;
  background: url('../images/about/target.svg') no-repeat;
  background-size: cover;
  background-position: center;
}

.goal-idea .idea:before {
  content: '';
  position: absolute;
  top: -70px;
  left: 45px;
  width: 130px;
  height: 130px;
  z-index: 1;
  background: url('../images/about/idea.svg') no-repeat;
  background-size: cover;
  background-position: center;
}

.goal-idea {
  margin: 2rem auto;
}

.about h2 {
  font-weight: bold;
  margin: 6rem auto;
  font-size: 36px;
}

.goal-item {
  font-size: 21px;
  position: relative;
  padding: 10rem;
  background: url('../images/about/tfsel-right.svg') no-repeat;
  background-size: 80%;
  background-position: center;

}

.goal-item span {
  font-weight: bold;
  position: absolute;
  border-radius: 100%;
  border: 2px solid var(--m-color);
  padding: 10px 25px;
  top: 3px;
  font-size: 25px;
  background: var(--w-color);
  right: 47%;
}

.first-gitem {
  padding: 11rem;
  background: url('../images/about/tfsel-middle.svg') no-repeat;
  margin: 3rem auto;
  width: 80%;
  background-size: 80%;
  background-position: center;
}

.first-gitem:after {
  content: '';
  position: absolute;
  top: 4.5rem;
  right: 8rem;
  width: 76%;
  height: 80%;
  border-radius: 50px;
  z-index: -1;
  border: 5px solid var(--ba-color);
  background: transparent;
}

.goals-beside {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.goals-beside .goal-item span {
  right: 15%;
  border-color: var(--bao-color);
}

.goals-beside .goal-item:nth-child(even) span {
  left: 15%;
  right: unset;
  border-color: var(--ba-color);
}

.goals-beside .goal-item:nth-child(even) {
  background: url('../images/about/tfsel-left.svg') no-repeat;
  font-size: 21px;
  position: relative;
  padding: 10rem;
  background-size: 80%;
  background-position: center;

}

.goal-item:after {
  content: '';
  position: absolute;
  top: 4.5rem;
  right: 8rem;
  width: 76%;
  height: 73%;
  border-radius: 50px;
  z-index: -1;
  border: 5px solid var(--ba-color);
  background: transparent;
}

.goal-item:nth-child(odd):after {
  content: '';
  position: absolute;
  top: 4.5rem;
  right: 5rem;
  width: 77%;
  height: 74%;
  border-radius: 50px;
  z-index: -1;
  border: 5px solid var(--bao-color);
  background: transparent;
}

/*============= Last Editi ===================*/
.moi-title, footer {
  position: relative;
}

.moi-title:after {
  content: '';
  position: absolute;
  top: -12rem;
  right: -53px;
  width: 291px;
  height: 250px;
  z-index: -1;
  background: url('../images/title-background.svg') no-repeat;
  background-size: contain;
  background-position: center;
}

footer:after {
  content: '';
  position: absolute;
  top: -15rem;
  right: -58px;
  width: 291px;
  height: 250px;
  z-index: -1;
  background: url('../images/footer-background.svg') no-repeat;
  background-size: contain;
  background-position: center;
}

body:after {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  width: 15rem;
  height: 27rem;
  z-index: -1;
  background: url('../images/left-background.svg') no-repeat;
  background-size: contain;
  background-position: center;
}


select option {
  padding: 100px !important; /* مسافة داخلية لكل خيار */
  border-radius: 50px !important; /* تقويس الزوايا للخيار */
}

/* التأثير عند التركيز على الـ select */
select:focus {
  outline: none; /* إزالة الـ outline الافتراضي */
  border: 1px solid var(--o-color); /* تغيير لون الحدود عند التركيز */
}

/* إضافة سهم مخصص */
.select-container {
  position: relative;
  display: inline-block;
}

.nav-menu a.active::after, .nav-menu a:hover::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 3px;
  background-color: var(--o-color);
  border-radius: 50px;
  bottom: -10px;
}

.nav-menu a {
  transition: 0.5s;
}

.nav-menu a::after {
  transition: 0.5s;
  width: 0%;
  left: 50%;
}

.nav-menu a:hover, .nav-menu a.active {
  color: #005a59;
  font-weight: normal;
  transition: 0.5s;
}

.nav-menu a::after {
  transition: 0.5s;
  width: 0%;
  left: 0;
  content: '';
  content: "";
  position: absolute;
  left: 0;
  height: 3px;
  background-color: var(--o-color);
  border-radius: 50px;
  bottom: -10px;
}

select option {
  background-color: #f9f9f9; /* لون خلفية القائمة */
  color: #333; /* لون النص */
  padding: 10px; /* المسافة الداخلية */
  border: 1px solid #ccc; /* حدود العناصر */
  font-size: 16px; /* حجم النص */
}

/* التأثير عند تمرير الفأرة فوق الخيار */
select option:hover {
  background-color: #e0e0e0; /* لون الخلفية عند التمرير */
}

/* التأثير عند اختيار الخيار */
select option:checked {
  background-color: var(--o-color); /* لون الخلفية عند التحديد */
  color: white; /* لون النص عند التحديد */
}

select.srch {
  width: 18%;
  margin-left: 3%;
}


.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.rating {
  --star-size: clamp(3rem, 2vw, 4rem);
  --star-clr-inactive: rgba(128, 128, 128, 0.7);
  --star-clr-active: rgb(245, 158, 11);
  --star-clr-hover: rgba(236, 201, 136, 0.2);
  --star-clip-path: polygon(
    50% 0%,
    61% 35%,
    98% 35%,
    68% 57%,
    79% 91%,
    50% 70%,
    21% 91%,
    32% 57%,
    2% 35%,
    39% 35%
  );
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.rating label {
  position: relative;
  cursor: pointer;
  width: var(--star-size);
  height: var(--star-size);
}

.rating label::before {
  content: "";
  position: absolute;
  inset: 50%;
  border-radius: 50%;
  background-color: var(--star-clr-hover);
  transition: rotate 450ms ease-in-out, inset 300ms ease-in-out;
  clip-path: var(--star-clip-path);
}

.rating label:hover::before {
  inset: -1rem;
  rotate: 45deg;
}

.rating label::after {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--star-clr-inactive);
  clip-path: var(--star-clip-path);
  transition: 300ms ease-in-out;
  scale: 1;
}

.rating label:has(~ label:hover)::after,
.rating label:has(~ label > :checked)::after,
.rating label:has(:checked)::after,
.rating label:hover::after {
  background-color: var(--star-clr-active);
  scale: 1;
}

.rating label:hover ~ label::after {
  scale: 0.75;
}

.rating label:active::before {
  inset: -2rem;
}

.ratins {
  display: flex;
  align-items: center;
}

.ratins {
  display: flex;
  align-items: center;
  height: 5rem;
  border: 1px solid var(--o-color);
  border-radius: 200px;
}

a.rat {
  height: 100%;
  display: flex;
  background: #F5F5F5;
  align-items: center;
  border-radius: 200px 0 0 200px;
  width: 24%;
  justify-content: center;
  transition: 0.5s;
  position: absolute;
  left: 0;
}

.rating {
  margin: 0 3%;
  width: 70%;
}

a.rat:hover {
  width: 100% !important;
  position: absolute;
  border-radius: 500px;
  left: 0;
}

.ratins {
  position: relative;
  width: 35%;
}

h2#swal2-title {
  font-size: 16px;
}

div:where(.swal2-container) .swal2-input {
  width: 81%;
  font-size: 17px;
}

.swal2-popup.swal2-modal.swal2-show {
  width: 50%;
}

button.swal2-confirm.swal2-styled {
  background: var(--o-color);
  font-size: 17px;
}

.footer-container {
  background: #FCBA32;
  border-radius: 20px;
  padding: 4rem;
}

.footer-info p {
  font-size: 18px;
}

.footer-links h2 {
  font-size: 27px;
}

.footer-links ul li a {
  font-size: 21px;
}

.subscribe-form input {
  margin-bottom: 0;
}

.subscribe-form h3 {
  margin-bottom: 3rem;
  font-size: 17px;
}

.subscribe-form {
  width: 273px;
}

footer {
  background-color: #f4a72100;
  padding: 0px 0;
  margin-top: 1rem;
  margin-bottom: 4rem;
}

.action-btn button {
  font-size: 18px;
}

.info-box {
  z-index: 1;
}

.paginate {
  display: flex;
}

.paginate .form-group.action-btn {
  margin-right: 5px;
  margin-left: 7px;
}

.form-group.action-btn.reversbutton img {
  transform: rotate(180deg);
}

.info-box {
  transition: 0.5s;
}

.info-box:hover {
  transform: scale(1.05);
}

p.filtitle {
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  max-height: calc(1.2em * 3);
  width: 50%;
  transition: 0.5s;
}

p.filtitle:hover {
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  max-height: calc(1.2em * 5);
  width: 50%;
  transition: 0.5s;
}

label.reportReason {
  font-size: 18px;
  display: block;
  margin-top: 8px;
}

select#reportReason {
  border-radius: 50px;
}

label.reportReason {
  font-size: 18px;
  display: block;
  margin-top: 8px;
  margin-bottom: 6px;
}

textarea#reportComment {
  border-radius: 50px;
  text-align: center;
  padding-top: 8px;
}

button.swal2-cancel.swal2-styled {
  font-size: 17px;
}

.info-box {
  margin-bottom: -40px;
}

.paginate {
  margin-top: 5rem;
  margin-bottom: 2rem;
}

h3.description {
  padding-bottom: 17px;
}

button.report-btn {
  margin-bottom: 8rem;
}

.modal-body {
  z-index: 99;
}

.moi-card {
  position: relative;
  display: inline-block;
  transform: scale(0.9);
}

.adjust-cards.ccats {
  gap: 0px;
}

.moi-card {
  margin-right: -12px;
  margin-left: -12px;
}

.moi-card .section-title {
  font-size: 21px;
}

.adjust-cards {
  margin-bottom: 5rem;
}

.card .info span {
  font-size: 22px;
}

h1.moi-title {
  width: 70%;
}

.moi-title:after {
  right: 0 !important;
  left: 0 !important;
  margin: auto;
}

/* لإخفاء القائمة بشكل افتراضي مع الانيميشن */
.navbar-nav > li > .dropdown-menu, ul.dropdown-menu {
  opacity: 0;
  transform: translateY(10px); /* جعل القائمة تبدأ من أسفل */
  transition: all 0.2s ease-in-out; /* تأثير الانتقال */
  visibility: hidden;
  display: inline;

}

.navbar-nav > li:hover > .dropdown-menu, ul.dropdown-menu.show {
  display: block;
  opacity: 1;
  transform: translateY(0);
  visibility: visible;

}

ul.dropdown-menu {
  top: 3rem;
  margin: auto;
  right: -38%;
  left: 0;
  width: 100%;
  text-align: center;
}

/* تعديل الـ nav-link عند وجود قائمة فرعية */
.navbar-nav > li > a {
  position: relative; /* للسهم */
  padding: 0 !important;
  padding-bottom: 7px !important;
}

/* السهم الافتراضي مع تغيير اللون والأنيميشن */
.navbar-nav > li.dropdown > a::before {
  content: '';
  position: absolute;
  left: -17px;
  top: 43%;
  transform: translateY(-50%);
  width: 13px;
  height: 13px;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" fill="%23005a59" viewBox="0 0 512 512"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path d="M233.4 406.6c12.5 12.5 32.8 12.5 45.3 0l192-192c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L256 338.7 86.6 169.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l192 192z"/></svg>');
  background-size: cover;
  transition: background-image 0.3s ease-in-out, transform 0.3s ease-in-out; /* أنيميشن للسهم */
}

/* تغيير الخلفية ولون السهم عند الوقوف */
.navbar-nav > li.dropdown:hover > a::before {
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" fill="%23005a59" viewBox="0 0 320 512"><path d="M182.6 137.4c-12.5-12.5-32.8-12.5-45.3 0l-128 128c-9.2 9.2-11.9 22.9-6.9 34.9s16.6 19.8 29.6 19.8l256 0c12.9 0 24.6-7.8 29.6-19.8s2.2-25.7-6.9-34.9l-128-128z"/></svg>') !important;
  background-size: cover;
  transform: translateY(-50%) rotate(180deg); /* دوران السهم عند التمرير */
}


/* تعديل شكل القائمة المنسدلة */
ul.dropdown-menu.show {
  top: 3rem;
  margin: auto;
  right: -38%;
  left: 0;
  width: 100%;
  text-align: center;
}

a.dropdown-item::after {
  visibility: hidden;
}

.navbar-nav > li > .dropdown-menu {
  border-radius: 5px;
  padding: 7px;
}

ul.dropdown-menu li {
  margin-bottom: 8px;
}

h3.description {
  min-height: 10rem;
  min-width: 25rem;
}

.asso-title img {
  height: 67px;
  width: 67px;
  border-radius: 50%;
  margin-inline-end: 1rem;
}

.asso-item a {
  position: relative;
  top: -13px;
}

textarea#message {
  width: 100%;
  padding: 15px;
  font-size: 16px;
  border: 1px solid #0A6F6F38;
  border-radius: 8px;
  outline: none;
  transition: border-color 0.3s ease;
  box-shadow: 0px 3px 12px 0px #00000014;
  background: #F2F3F38C;
}

.custom-file-upload {
  display: inline-block;
  padding: 10px 20px;
  cursor: pointer;
  background-color: #007bff;
  color: #fff;
  border-radius: 5px;
  font-size: 16px;
  transition: background-color 0.3s ease;
}

.custom-file-upload:hover {
  background-color: #0056b3;
}

#file-upload {
  display: none; /* إخفاء المدخل الافتراضي للملف */
}

.custom-file-label {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #005a5909;
  border: 2px dashed #005a59;
  padding: 10px;
  font-size: 16px;
  color: #005a59;
  cursor: pointer;
  transition: background-color 0.3s ease, border-color 0.3s ease;
  border-radius: 5px;
  position: relative;

}

label#file-label {
  text-align: center;
}

li.nav-item.dropdown {
  margin-left: 10px;
}

span.select2-selection.select2-selection--single {
  border: none;
  font-size: 20px;
  margin-right: 9px;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option {
  font-size: 17px;
  text-align: center;
}

select + .select2-container--bootstrap-5 {
  width: 20%;
  text-align: center;
}

span.select2-search.select2-search--dropdown {
  display: none;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected, .select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]:not(.select2-results__option--highlighted) {
  color: #fff;
  background-color: #1ca4a4;
}

span.select2-dropdown.select2-dropdown--below {
  border: none;
}

ul#select2-single-select-optgroup-field-results {
  border-radius: 5px;
}

span.select2-selection.select2-selection--single {
  border: none !important;
  outline: none;
  box-shadow: none !important;
}

ul#select2-single-select-optgroup-field-results {
  border: 1px solid #80808094;
}

li.select2-results__option.select2-results__option--selectable {
  background-color: #e9ecef61;
}

/*** colors ***/
:root {
  --adi-title-color: #E2F1F1;
  --adi-info-color: #F3F3F3;
  --adi-dt-back-color: #F3F3F3;
}

/*---details-info-item---*/
.asso-details::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  background-image: url('../images/asoo-page/asoo-p-background.svg');
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 0.9;
}

.asso-details {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  padding: 10rem;
  padding-bottom: 37rem;
  width: 100%;
}

.asso-details-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 7rem;
  width: 100%;
}

.asso-details-item h4 {
  font-size: 20px;
  font-weight: bold;
  background: var(--adi-title-color);
  padding-top: 2rem;
  padding-bottom: 2rem;
  border-top-right-radius: 45px;
  border-top-left-radius: 45px;
  margin: 0;
  width: 60%;
}

.asso-details-item h4 img {
  width: 25px;
  height: 25px;
  margin-left: 1rem;
}

.asso-details-item p {
  font-weight: bold;
  color: var(--a-color);
  background: var(--adi-info-color);
  padding-top: 3rem;
  padding-bottom: 3rem;
  border-radius: 45px;
  width: 90%;
}

.asso-details-dt {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.asso-details h3 {
  font-weight: bold;
  margin-bottom: 3rem;
}

.asso-details-dt p {
  font-weight: bold;
  margin-bottom: 3rem;
  background: var(--adi-dt-back-color);
  border: 1px solid #0A6F6F38;
  box-shadow: 0px 3px 12px 0px #00000014;
  border-radius: 8px;
  padding: 3rem;
  width: 90%;
  min-width: 90%;
  min-height: 40px;

}

.asso-fields {
  min-height: 68px;
}

.asoo-info {
  display: flex;
  padding: 11rem;
  background: url('../images/about/tfsel-middle.svg') no-repeat;
  margin: 3rem auto;
  width: 85%;
  background-size: 90%;
  background-position: center;
}

.asoo-info:after {
  content: '';
  position: absolute;
  right: 8rem;
  width: 78%;
  height: 54%;
  border-radius: 50px;
  z-index: -1;
  border: 5px solid var(--ba-color);
  background: transparent;
}

.asoo-info {
  padding: 11rem;
  background: url('../images/about/tfsel-middle.svg') no-repeat;
  margin: 3rem auto;
  width: 80%;
  background-size: 80%;
  background-position: center;
  position: relative;
}

.asoo-info #asso-logo {
  width: 30%;
  border-radius: 25px;
  margin-left: 1rem;
}

.asso-box-right {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-around;
}

.asso-box-right > h3 {
  margin: 7px auto;
  font-weight: bold;
  font-size: 20px;
}

.asso-box-right p {
  color: var(--a-color);
  font-size: 18px;
  margin: 0;
}

.asso-box-right img {
  width: 20px;
  height: 20px;
  margin-left: 5px;
}

.asso-box-right .stars span {
  font-size: 22px;
  letter-spacing: 4px;
  font-weight: bold;
}

.asoo-info #asso-logo {
  height: 18rem;
}

.counters-sec {
  background-color: #0B7373CC;
  border-radius: 30px;
  padding: 30px 40px;
  width: 90%;
  margin: 30px auto;
  background-image: url("../images/counters-bg.png");
  background-size: cover;
  background-position: right;
}

.counters-sec .boxes {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.counters-sec .boxes .box {
  padding: 20px;
  background-color: #ffffff;
  border-radius: 30px;
  min-width: 220px;
  text-align: center;
  margin-left: 20px;
}

.counters-sec .boxes .box:last-of-type {
  margin-left: 0;
}

.counters-sec .boxes .box .icon {
  padding: 8px;
  background-color: #05858533;
  border-radius: 8px;
  margin-bottom: 5px;
  width: 60px;
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-inline: auto;
}

.counters-sec .boxes .box .icon svg {
  width: 35px;
}

.counters-sec .boxes .box .name {
  font-weight: 700;
  font-size: 23px;
  color: #000000;
  margin-bottom: 2px;
}

.counters-sec .boxes .box .count {
  font-weight: 700;
  font-size: 35px;
  color: #3D3D3D;
  margin-bottom: 0;
}

.counters-sec .boxes .box .count span {
  color: #0B6A6A;
}
